/*
  MotorDC.cpp - Librairie pour grer les moteurs  courant continu.
  Cr par Richard GAUTHIER en Janvier 2012 pour les lves de la spcialit SIN en STI2D.
  Released into the public domain.
*/

#include "Arduino.h"
#include "MotorDC.h"

int E1 = 5;     //M1 Speed Control
int E2 = 6;     //M2 Speed Control
int M1 = 4;    //M1 Direction Control
int M2 = 7;

int speedHight;
int speedLOW;

MotorDC::MotorDC(int speed)
{ 	speedHight = speed;
	speedLOW = speed / 2 ;
	pinMode(E1, OUTPUT);
	pinMode(E2, OUTPUT);
	pinMode(M1, OUTPUT);
	pinMode(M2, OUTPUT);
}

void MotorDC::stop(void)                    //Stop
{
  digitalWrite(E1,LOW);
  digitalWrite(E2,LOW);
}

void MotorDC::newSpeed(int speed)                    //Stop
{
   speedHight = speed;
   speedLOW = speed / 2 ;
}


void MotorDC::advance(void)
{
	  analogWrite(E1,speedHight);      //PWM Speed Control
	  digitalWrite(M1,HIGH);
	  analogWrite(E2,speedHight);
	  digitalWrite(M2,HIGH);
}

void MotorDC::back_off(void)          //Move backward
{
  analogWrite(E1,speedHight);
  digitalWrite(M1,LOW);
  analogWrite(E2,speedHight);
  digitalWrite(M2,LOW);
}
void MotorDC::turn_Left(void)             //Turn Left
{
  analogWrite (E1,speedLOW);
  digitalWrite(M1,LOW);
  analogWrite (E2,speedLOW);
  digitalWrite(M2,HIGH);
}
void MotorDC::turn_Right(void)             //Turn Right
{
  analogWrite (E1,speedLOW);
  digitalWrite(M1,HIGH);
  analogWrite (E2,speedLOW);
  digitalWrite(M2,LOW);
}

